aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/eglibc
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/eglibc')
-rw-r--r--recipes/eglibc/eglibc-initial.inc2
-rw-r--r--recipes/eglibc/eglibc_2.10.bb7
-rw-r--r--recipes/eglibc/eglibc_2.11.bb7
-rw-r--r--recipes/eglibc/eglibc_2.12.bb7
-rw-r--r--recipes/eglibc/eglibc_2.9.bb7
-rw-r--r--recipes/eglibc/eglibc_svn.bb7
6 files changed, 16 insertions, 21 deletions
diff --git a/recipes/eglibc/eglibc-initial.inc b/recipes/eglibc/eglibc-initial.inc
index 2a68fd66da..4aaf8fb564 100644
--- a/recipes/eglibc/eglibc-initial.inc
+++ b/recipes/eglibc/eglibc-initial.inc
@@ -8,7 +8,7 @@ PACKAGES_DYNAMIC = ""
do_configure () {
sed -ie 's,{ (exit 1); exit 1; }; },{ (exit 0); }; },g' ${S}/configure
chmod +x ${S}/configure
- (cd ${S} && gnu-configize) || die "failure in running gnu-configize"
+ (cd ${S} && gnu_configize) || die "failure in running gnu-configize"
find ${S} -name "configure" | xargs touch
${S}/configure --host=${TARGET_SYS} --build=${BUILD_SYS} \
--prefix=/usr \
diff --git a/recipes/eglibc/eglibc_2.10.bb b/recipes/eglibc/eglibc_2.10.bb
index 1eab7ebeb3..da8aa1f21c 100644
--- a/recipes/eglibc/eglibc_2.10.bb
+++ b/recipes/eglibc/eglibc_2.10.bb
@@ -69,13 +69,12 @@ do_configure () {
# calls for now
# don't pass CPPFLAGS into configure, since it upsets the kernel-headers
# version check and doesn't really help with anything
- if [ -z "`which rpcgen`" ]; then
- echo "rpcgen not found. Install glibc-devel."
+ if ! which rpcgen >/dev/null; then
+ echo >&2 "rpcgen not found. Install glibc-devel."
exit 1
fi
- (cd ${S} && gnu-configize) || die "failure in running gnu-configize"
find ${S} -name "configure" | xargs touch
- CPPFLAGS="" oe_runconf
+ CPPFLAGS="" autotools_base_do_configure
}
rpcsvc = "bootparam_prot.x nlm_prot.x rstat.x \
diff --git a/recipes/eglibc/eglibc_2.11.bb b/recipes/eglibc/eglibc_2.11.bb
index 3763124a70..522f079e03 100644
--- a/recipes/eglibc/eglibc_2.11.bb
+++ b/recipes/eglibc/eglibc_2.11.bb
@@ -69,13 +69,12 @@ do_configure () {
# calls for now
# don't pass CPPFLAGS into configure, since it upsets the kernel-headers
# version check and doesn't really help with anything
- if [ -z "`which rpcgen`" ]; then
- echo "rpcgen not found. Install glibc-devel."
+ if ! which rpcgen >/dev/null; then
+ echo >&2 "rpcgen not found. Install glibc-devel."
exit 1
fi
- (cd ${S} && gnu-configize) || die "failure in running gnu-configize"
find ${S} -name "configure" | xargs touch
- CPPFLAGS="" oe_runconf
+ CPPFLAGS="" autotools_base_do_configure
}
rpcsvc = "bootparam_prot.x nlm_prot.x rstat.x \
diff --git a/recipes/eglibc/eglibc_2.12.bb b/recipes/eglibc/eglibc_2.12.bb
index 40ab65c4d2..698c7bb49d 100644
--- a/recipes/eglibc/eglibc_2.12.bb
+++ b/recipes/eglibc/eglibc_2.12.bb
@@ -71,13 +71,12 @@ do_configure () {
# calls for now
# don't pass CPPFLAGS into configure, since it upsets the kernel-headers
# version check and doesn't really help with anything
- if [ -z "`which rpcgen`" ]; then
- echo "rpcgen not found. Install glibc-devel."
+ if ! which rpcgen >/dev/null; then
+ echo >&2 "rpcgen not found. Install glibc-devel."
exit 1
fi
- (cd ${S} && gnu-configize) || die "failure in running gnu-configize"
find ${S} -name "configure" | xargs touch
- CPPFLAGS="" oe_runconf
+ CPPFLAGS="" autotools_base_do_configure
}
rpcsvc = "bootparam_prot.x nlm_prot.x rstat.x \
diff --git a/recipes/eglibc/eglibc_2.9.bb b/recipes/eglibc/eglibc_2.9.bb
index c06345e845..9693621c63 100644
--- a/recipes/eglibc/eglibc_2.9.bb
+++ b/recipes/eglibc/eglibc_2.9.bb
@@ -69,13 +69,12 @@ do_configure () {
# calls for now
# don't pass CPPFLAGS into configure, since it upsets the kernel-headers
# version check and doesn't really help with anything
- if [ -z "`which rpcgen`" ]; then
- echo "rpcgen not found. Install glibc-devel."
+ if ! which rpcgen >/dev/null; then
+ echo >&2 "rpcgen not found. Install glibc-devel."
exit 1
fi
- (cd ${S} && gnu-configize) || die "failure in running gnu-configize"
find ${S} -name "configure" | xargs touch
- CPPFLAGS="" oe_runconf
+ CPPFLAGS="" autotools_base_do_configure
}
rpcsvc = "bootparam_prot.x nlm_prot.x rstat.x \
diff --git a/recipes/eglibc/eglibc_svn.bb b/recipes/eglibc/eglibc_svn.bb
index df2f0fc80e..208780fec4 100644
--- a/recipes/eglibc/eglibc_svn.bb
+++ b/recipes/eglibc/eglibc_svn.bb
@@ -68,13 +68,12 @@ do_configure () {
# calls for now
# don't pass CPPFLAGS into configure, since it upsets the kernel-headers
# version check and doesn't really help with anything
- if [ -z "`which rpcgen`" ]; then
- echo "rpcgen not found. Install glibc-devel."
+ if ! which rpcgen >/dev/null; then
+ echo >&2 "rpcgen not found. Install glibc-devel."
exit 1
fi
- (cd ${S} && gnu-configize) || die "failure in running gnu-configize"
find ${S} -name "configure" | xargs touch
- CPPFLAGS="" oe_runconf
+ CPPFLAGS="" autotools_base_do_configure
}
rpcsvc = "bootparam_prot.x nlm_prot.x rstat.x \